/**
 * 路由跳转逻辑
 */

/**
 * 通用路由跳转方法
 * @param path 跳转路径
 * @param params 传递参数
 */
/**
 * 路由跳转
 * @param url 完整路径 例如：/pages/home/index?id=1
 */
export const onRouterPush = (url: string) => {
  uni.navigateTo({
    url,
    fail: () => {
      // 如果不是普通页面（如 TabBar 页面），尝试以 switchTab 方式跳转
      uni.switchTab({
        url
      });
    }
  });
};
